## ros-kinetic-naoqi-bridge-msgs 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_bridge_msgs)

set(MESSAGE_DEPS
  actionlib_msgs
  sensor_msgs
  nav_msgs
  trajectory_msgs
  std_msgs
  geometry_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS genmsg message_generation ${MESSAGE_DEPS})


# Find all the messages files
FILE(GLOB MSG_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/msg"
      "${CMAKE_CURRENT_SOURCE_DIR}/msg/*.msg")

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  ${MSG_FILES}
)

# Find all the service files
FILE(GLOB SRV_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/srv"
      "${CMAKE_CURRENT_SOURCE_DIR}/srv/*.srv")

## Generate messages in the 'srv' folder
add_service_files(
  FILES
  ${SRV_FILES}
)

# Find all the action files
FILE(GLOB ACTION_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/action"
      "${CMAKE_CURRENT_SOURCE_DIR}/action/*.action")

## Generate messages in the 'action' folder
add_action_files(
  FILES
  ${ACTION_FILES}
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   ${MESSAGE_DEPS}
)

catkin_package(
  CATKIN_DEPENDS genmsg message_runtime ${MESSAGE_DEPS}
)

=== debian/changelog ===
ros-kinetic-naoqi-bridge-msgs (0.0.8-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Karsten Knese <karsten.knese@gmail.com>  Thu, 15 Feb 2018 07:15:32 -0000

ros-kinetic-naoqi-bridge-msgs (0.0.7-0xenial) xenial; urgency=high

  * delete msg because it can be replaced by std_srvs/SetBool.srv (#36 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/36>)
  * delete srv file because it can be replaced by #37 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/37> (#39 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/39>)
  * add get/set string srv files (#38 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/38>)
  * Merge pull request #37 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/37> from kochigami/add-get-set-float-srv
    add get/ set float service
  * add get/ set float service
  * cleanup package.xml
  * Contributors: Kanae Kochigami, Karsten Knese, Natalia Lyubova

 -- Karsten Knese <karsten.knese@gmail.com>  Wed, 14 Feb 2018 23:00:00 -0000

ros-kinetic-naoqi-bridge-msgs (0.0.6-0xenial) xenial; urgency=high

  * Merge pull request #29 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/29> from kochigami/rename-tactile-touch
    [msg] rename TactileTouch to HeadTouch
  * [msg] rename TactileTouch to HeadTouch
  * Merge pull request #21 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/21> from kochigami/add-msg-and-srv-for-naoqi-sound-localization
    add srv and msg for naoqi_apps/launch/soundLocalization.launch
  * add srv and msg for naoqi_apps/launch/soundLocalization.launch
  * Contributors: Kanae Kochigami, Karsten Knese, Natalia Lyubova

 -- Karsten Knese <karsten.knese@gmail.com>  Mon, 07 Nov 2016 23:00:00 -0000

ros-kinetic-naoqi-bridge-msgs (0.0.5-0xenial) xenial; urgency=high

  * add orthogonal / tangential security distance service files
  * change constants with capital letters
  * increase touched hand directions and move it in msg folder correctly
  * add back bumper value for Pepper
  * Contributors: Kanae Kochigami, Vincent Rabaud

 -- Karsten Knese <karsten.knese@gmail.com>  Sat, 14 Nov 2015 23:00:00 -0000

ros-kinetic-naoqi-bridge-msgs (0.0.4-0xenial) xenial; urgency=high

  * Merge pull request #2 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/2> from vrabaud/master
    add a message concerning the robot information
  * add a service to get robot info
  * add a message concerning the robot information
  * update package.xml with description and author
  * Contributors: Karsten Knese, Vincent Rabaud

 -- Karsten Knese <karsten.knese@gmail.com>  Tue, 25 Aug 2015 22:00:00 -0000

ros-kinetic-naoqi-bridge-msgs (0.0.3-0xenial) xenial; urgency=high

  * remove legacy msgs
  * replace tag in package.xml
  * fix double message_runtine dependency
  * msg transfer
  * fix message_generation vs runtime
  * Contributors: Karsten Knese, Vincent Rabaud

 -- Karsten Knese <karsten.knese@gmail.com>  Wed, 29 Jul 2015 22:00:00 -0000

ros-kinetic-naoqi-bridge-msgs (0.0.2-0xenial) xenial; urgency=high

  * add confidence
  * Merge pull request #1 <https://github.com/ros-naoqi/naoqi_bridge_msgs/issues/1> from lsouchet/master
    Add Event, PoseWithConfidence and Status msgs.
  * Add Event, PoseWithConfidence and Status msgs.
  * Contributors: Karsten Knese, karsten1987, lsouchet

 -- Karsten Knese <karsten.knese@gmail.com>  Tue, 09 Jun 2015 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-naoqi-bridge-msgs
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten.knese@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-genmsg, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-naoqi-bridge-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib-msgs, ros-kinetic-genmsg, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-trajectory-msgs
Conflicts: ros-kinetic-naoqi-msgs
Replaces: ros-kinetic-naoqi-msgs
Description: The naoqi_bridge_msgs package provides custom messages for running Aldebaran's robot such as NAO and Pepper.
 See the packages nao_robot and pepper_robot for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-naoqi-bridge-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
